Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201209-10 ] Calligra: User-assisted execution of arbitrary code
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1563

PostPosted: Tue Sep 25, 2012 12:26 pm    Post subject: [ GLSA 201209-10 ] Calligra: User-assisted execution of arbi Reply with quote

Gentoo Linux Security Advisory

Title: Calligra: User-assisted execution of arbitrary code (GLSA 201209-10)
Severity: normal
Exploitable: remote
Date: September 25, 2012
Bug(s): #428890
ID: 201209-10

Synopsis

A buffer overflow vulnerability in Calligra could result in the
execution of arbitrary code.


Background

Calligra is an office suite by KDE.

Affected Packages

Package: app-office/calligra
Vulnerable: < 2.4.3-r1
Unaffected: >= 2.4.3-r1
Architectures: All supported architectures


Description

An error in the read() function in styles.cpp could cause a heap-based
buffer overflow.


Impact

A remote attacker could entice a user to open a specially crafted ODF
file, possibly resulting in execution of arbitrary code with the
privileges of the process or a Denial of Service condition.


Workaround

There is no known workaround at this time.

Resolution

All Calligra users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=app-office/calligra-2.4.3-r1"
   


References

CVE-2012-3456
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum